'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var sdkApiCore = require('@dynamic-labs/sdk-api-core');
var utils = require('@dynamic-labs/utils');
var helpers = require('./helpers.cjs');
var ApiEndpoint = require('./ApiEndpoint.cjs');
var version = require('./version.cjs');

const sdkApi = () => {
    const baseUrl = process.env.API_BASE_URL ||
        process.env.NX_API_BASE_URL ||
        'https://app.dynamic.xyz/api/v0';
    ApiEndpoint.setBaseUrl(baseUrl);
    const settings = {
        basePath: ApiEndpoint.getBaseUrl(),
        headers: {
            'Content-Type': 'application/json',
        },
    };
    const minJwt = helpers.getMinAuthToken();
    if (minJwt) {
        settings.headers.Authorization = `Bearer ${minJwt}`;
    }
    const credentials = helpers.isCookieEnabled()
        ? 'include'
        : undefined;
    settings.headers['x-dyn-version'] = `WalletKit/${version.VERSION}`;
    settings.headers['x-dyn-api-version'] = `API/${version.API_VERSION}`;
    return new sdkApiCore.SDKApi(new sdkApiCore.Configuration(Object.assign(Object.assign({}, settings), { credentials, fetchApi: utils.FetchService.fetch })));
};

exports.sdkApi = sdkApi;
